Retrieve Virtual Account
curl --request GET \
--url https://api.usepooler.com/accounts/virtual-accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usepooler.com/accounts/virtual-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepooler.com/accounts/virtual-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usepooler.com/accounts/virtual-accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usepooler.com/accounts/virtual-accounts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usepooler.com/accounts/virtual-accounts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usepooler.com/accounts/virtual-accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"bank_name": "<string>",
"dob": "<string>",
"reference": "<string>",
"account_type": "<string>",
"active": true,
"status": "<string>",
"rc_number": "<string>",
"corporate_account_type": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Accounts
Retrieve Virtual Account
Retrieve detailed information about a specific virtual account by its ID.
GET
/
accounts
/
virtual-accounts
/
{id}
Retrieve Virtual Account
curl --request GET \
--url https://api.usepooler.com/accounts/virtual-accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usepooler.com/accounts/virtual-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepooler.com/accounts/virtual-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usepooler.com/accounts/virtual-accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usepooler.com/accounts/virtual-accounts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usepooler.com/accounts/virtual-accounts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usepooler.com/accounts/virtual-accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"bank_name": "<string>",
"dob": "<string>",
"reference": "<string>",
"account_type": "<string>",
"active": true,
"status": "<string>",
"rc_number": "<string>",
"corporate_account_type": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Retrieve detailed information about a specific virtual account by its ID.
Overview
This endpoint returns comprehensive details about a single virtual account, including account information, balance, status, and metadata.Path Parameters
string
required
Virtual account UUID
Response
object
Complete virtual account object including:
id: Virtual account UUIDaccount_no: Account numberaccount_name: Account holder namebank_name: Bank namecurrency_code: Currency codeactive: Whether account is activeaccount_type: Account type (individual/business)metadata: Additional metadata objectdob: Date of birth of account holder if account is an individual accountreference: Account referencerc_number: RC Number if account is a corporate/business accountcorporate_account_type: Corporate account type if account is a corporate/business accountstatus: Status of account. Can be pending, active or failedcreated_at: Creation timestamp
Authorizations
Bearer token authentication. Include your API key in the Authorization header as: Bearer {your_api_key}
Path Parameters
Virtual account ID
⌘I